> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# perpDexs

> Native Hyperliquid `/info` operation. Returns the list of perpetual DEXs.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#19
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#19:
    post:
      tags:
        - Hyperliquid
      summary: perpDexs
      description: >-
        Native Hyperliquid `/info` operation. Returns the list of perpetual
        DEXs.
      operationId: perpDexs_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Alchemy
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidInfo_perpDexs_Request'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HyperliquidInfo_perpDexs_Response'
components:
  schemas:
    HyperliquidInfo_perpDexs_Request:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - perpDexs
          default: perpDexs
          example: perpDexs
      example:
        type: perpDexs
    HyperliquidInfo_perpDexs_Response:
      type: array
      description: >-
        The perpetual DEXs. The first slot is `null` (the canonical first-party
        perp DEX); each remaining slot describes a builder-deployed DEX.
      items:
        type: object
        nullable: true
        required:
          - name
          - fullName
          - deployer
        properties:
          name:
            type: string
            example: xyz
          fullName:
            type: string
            example: XYZ
          deployer:
            type: string
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          oracleUpdater:
            type: string
            nullable: true
          feeRecipient:
            type: string
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````